<?php
	// Register and load the widget
	function pixlerweb_info_widget() {
	    register_widget( 'Pixlerweb_info_widget' );
	}
	add_action( 'widgets_init', 'pixlerweb_info_widget' );

// Creating the widget
	class Pixlerweb_info_widget extends WP_Widget {
	 
	function __construct() {
		parent::__construct(
			'pixlerweb_info_widget', // Base ID
			__('Wpazure : Conatct Info Widget test','pixlerweb'), // Widget Name
			array(
				'classname' => 'pixlweweb_info_callout',
				'description' => __('PixlerWeb theme information widget','pixlerweb'),
			),
			array(
				'width' => 600,
			)
		);
		
	 }
	
	public function widget( $args, $instance ) {
		
		if ( isset( $instance[ 'fa_icon_phone' ])){
	$fa_icon_phone = $instance[ 'fa_icon_phone' ];
	}
	else {
	$fa_icon_phone = 'fa-envelope';
	}
	if ( isset( $instance[ 'phone_text' ])){
	$phone_text = $instance[ 'phone_text' ];
	}
	else {
	$phone_text =  'Call us';
	}
	if ( isset( $instance[ 'desc_one' ])){
	$desc_one = $instance[ 'desc_one' ];
	}
	else {
	$desc_one = '+8800 235 2451';
	}
	
	

	if ( isset( $instance[ 'fa_icon_email' ])){
	$fa_icon_email = $instance[ 'fa_icon_email' ];
	}
	else {
	$fa_icon_email = 'fa-envelope';
	}
	if ( isset( $instance[ 'email_text' ])){
	$email_text = $instance[ 'email_text' ];
	}
	else {
	$email_text =  'Send an email';
	}
	if ( isset( $instance[ 'desc_two' ])){
	$desc_two = $instance[ 'desc_two' ];
	}
	else {
	$desc_two = 'info@yourdomain.com';
	}
	
	echo $args['before_widget'];?>
	
						
							<li>
							
									
									<div class="contact-info-single-item">
                                        <div class="contact-info-single-item-icon">
                                            <i class="fa <?php echo esc_attr($fa_icon_phone); ?>" aria-hidden="true"></i>
                                        </div>
                                        <div class="contact-info-single-item-content">
                                            <h6 class="contact-info-single-item-title"><?php  echo esc_html($phone_text);?></h6>
                                            <span class="contact-info-single-item-subtitle"><?php  echo esc_html($desc_one);?></span>
                                        </div>
                                    </div>
							
							
							</li>
							<li>
							
							
									<div class="contact-info-single-item">
                                        <div class="contact-info-single-item-icon">
                                            <i class="fa <?php echo esc_attr($fa_icon_email); ?>" aria-hidden="true"></i>
                                        </div>
                                        <div class="contact-info-single-item-content">
                                            <h6 class="contact-info-single-item-title"><?php  echo esc_html($email_text);?></h6>
                                            <span class="contact-info-single-item-subtitle"><?php  echo esc_html($desc_two);?></span>
                                        </div>
                                    </div>
								
							</li>
						
					

	<?php
	echo $args['after_widget'];
	}
	         
	// Widget Backend
	
	public function form( $instance ) {
	if ( isset( $instance[ 'fa_icon_phone' ])){
	$fa_icon_phone = $instance[ 'fa_icon_phone' ];
	}
	else {
	$fa_icon_phone = 'fa-phone';
	}
	if ( isset( $instance[ 'phone_text' ])){
	$phone_text = $instance[ 'phone_text' ];
	}
	else {
	$phone_text =  'Call us';
	}
	if ( isset( $instance[ 'desc_one' ])){
	$desc_one = $instance[ 'desc_one' ];
	}
	else {
	$desc_one = '+8800 235 2451';
	}
	
	

	if ( isset( $instance[ 'fa_icon_email' ])){
	$fa_icon_email = $instance[ 'fa_icon_email' ];
	}
	else {
	$fa_icon_email = 'fa-envelope';
	}
	if ( isset( $instance[ 'email_text' ])){
	$email_text = $instance[ 'email_text' ];
	}
	else {
	$email_text =  'Send an email';
	}
	if ( isset( $instance[ 'desc_two' ])){
	$desc_two = $instance[ 'desc_two' ];
	}
	else {
	$desc_two = 'info@yourdomain.com';
	}

	// Widget admin form
	?>
	
	
	<h4 for="<?php echo esc_attr( $this->get_field_id( 'fa_icon_phone' )); ?>"><?php _e('FontAwesome icon one','pixlerweb' ); ?>    
	 </h4>
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'fa_icon_phone' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'fa_icon_phone' )); ?>" type="text" placeholder="fa-phone" value="<?php if($fa_icon_phone) echo esc_attr( $fa_icon_phone );?>" />
	<span><?php _e('Link to get FontAwesome icon','pixlerweb'); ?>  <a href="<?php echo 'https://fontawesome.com/v4.7.0/icons/';?>" target="_blank" ><?php echo 'fa-icon'; ?></a></span>
	<h4 for="<?php echo esc_attr($this->get_field_id( 'phone_text' )); ?>"><?php _e('Title One','pixlerweb' ); ?></h4>
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'phone_text' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'phone_text' )); ?>" type="text" value="<?php if($phone_text) echo esc_attr( $phone_text );?>" />
	
	<h4 for="<?php echo esc_attr($this->get_field_id( 'desc_one' )); ?>"><?php _e('Description One','pixlerweb' ); ?></h4>
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'desc_one' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'desc_one' )); ?>" type="text" value="<?php if($desc_one) echo esc_attr($desc_one);?>" /><br><br>
	
	
	<h4 for="<?php echo esc_attr($this->get_field_id( 'fa_icon_email' )); ?>"><?php _e('FontAwesome icon two','pixlerweb' ); ?></h4>
	
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'fa_icon_email' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'fa_icon_email' )); ?>" type="text" placeholder="fa-envelope" value="<?php if($fa_icon_email) echo esc_attr( $fa_icon_email ); ?>" />
	<span><?php _e('Link to get FontAwesome icon','pixlerweb'); ?>  <a href="<?php echo 'https://fontawesome.com/v4.7.0/icons/';?>" target="_blank" ><?php echo 'fa-icon'; ?></a></span>
	
	
	<h4 for="<?php echo esc_attr($this->get_field_id( 'email_text' )); ?>"><?php _e('Text two','pixlerweb' ); ?></h4>
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'email_text' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'email_text' )); ?>" type="text" value="<?php if($email_text) echo esc_attr( $email_text ); ?>" />
	
	<h4 for="<?php echo esc_attr($this->get_field_id( 'desc_two' )); ?>"><?php _e('Description Two','pixlerweb' ); ?></h4>
	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'desc_two' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'desc_two' )); ?>" type="text" value="<?php if($desc_two) echo sanitize_email($desc_two);?>" /><br><br>
	
	<?php
    }
	// Updating widget replacing old instances with new
	public function update( $new_instance, $old_instance ) {
	
	$instance = array();
		$instance['fa_icon_phone'] = ( ! empty( $new_instance['fa_icon_phone'] ) ) ? strip_tags( $new_instance['fa_icon_phone'] ) : '';
		$instance['phone_text'] = ( ! empty( $new_instance['phone_text'] ) ) ? strip_tags( $new_instance['phone_text'] ) : '';
		$instance['desc_one'] = ( ! empty( $new_instance['desc_one'] ) ) ? strip_tags($new_instance['desc_one']) : '';
		
		$instance['fa_icon_email'] = ( ! empty( $new_instance['fa_icon_email'] ) ) ? strip_tags( $new_instance['fa_icon_email'] ) : '';
		$instance['email_text'] = ( ! empty( $new_instance['email_text'] ) ) ? strip_tags( $new_instance['email_text'] ) : '';
		$instance['desc_two'] = ( ! empty( $new_instance['desc_two'] ) ) ? strip_tags($new_instance['desc_two']) : '';
		
		return $instance;
	}
	}
	?>